List files
List all the files associated with a particular Moov account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/files.read scope.
GET
/accounts/{accountID}/files
curl -X GET "https://api.moov.io/accounts/{accountID}/files" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string
mc.ListFiles(ctx, accountID)
using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.Files.ListAsync(accountID: "d1133bf2-4853-4436-9a03-23739895ab98");
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListFilesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListFilesResponse res = sdk.files().list()
.accountID("d1133bf2-4853-4436-9a03-23739895ab98")
.call();
if (res.fileDetails().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.files.list(account_id: 'd1133bf2-4853-4436-9a03-23739895ab98')
unless res.file_details.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.files.list({
accountID: "d1133bf2-4853-4436-9a03-23739895ab98",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->files->list(
accountID: 'd1133bf2-4853-4436-9a03-23739895ab98'
);
if ($response->fileDetails !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.files.list(account_id="d1133bf2-4853-4436-9a03-23739895ab98")
# Handle response
print(res)The request completed successfully.
[
{
"fileID": "string",
"fileName": "logo.png",
"accountID": "string",
"filePurpose": "representative_verification",
"fileStatus": "pending",
"metadata": "{\"error_code\": \"document-name-mismatch\", \"requirement_id\": \"document.individual.verification\", \"representative_id\": \"c63ab175-251d-497e-a267-7346d087e180\", \"comment\": \"testing comment\"",
"decisionReason": "not correct file",
"fileSizeBytes": 0,
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z"
}
]Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Response
accountID
string
createdOn
string<date-time>
decisionReason
string
fileID
string
fileName
string
<=64 characters
filePurpose
string<enum>
The file's purpose.
Possible values:
business_verification,
representative_verification,
individual_verification,
merchant_underwriting,
account_requirement,
identity_verification
fileSizeBytes
integer
fileStatus
string<enum>
The file's status.
Possible values:
pending,
approved,
rejected
metadata
string<json>
updatedOn
string<date-time>